Subject: herd can't connect to socket on GNU/Hurd: Connection refused

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 12 Jul 2022 20:53:15 +0200

Hi,

ping not working inside qemu is a frequently encountered problem.  See
also the Hurd wiki:

  […] note that ping doesn't work with QEMU's user-networking stack.

https://www.gnu.org/software/hurd/hurd/running/qemu.html

> root@guixygnu ~# herd status loopback
> error: connect: /var/run/shepherd/socket: Connection refused

This means that shepherd isn’t running.  Can you reliably reproduce
this?

As it is this bug report does not contain enough information to be
actionable as we cannot easily reproduce the problem.  Could you please
provide more information?  Otherwise I’d like to close it.

Thank you!

-- 
Ricardo